Class UmlBaseTypeSpec

this class memorize a type specification, which may be
- a class reference
- an explicit type

Declaration :

- C++ : class UmlBaseTypeSpec
- Java : class UmlBaseTypeSpec

Directly inherited by : UmlTypeSpec

Artifact : UmlBaseTypeSpec

Operation UmlBaseTypeSpec

Declaration :

- Uml : + UmlBaseTypeSpec() :
- C++ : public: UmlBaseTypeSpec() : type(0)
- Java : public UmlBaseTypeSpec()

Operation toString

returns the type as a string in all cases

Declaration :

- Uml : + toString() : string
- C++ : public: const QCString & toString() const
- Java : public String toString()

Operation clone_it

Clone the type specification, defined only in Java which does not have 'const' or 'value passing'

Declaration :

- Uml : + clone_it() : UmlTypeSpec
- Java : public UmlTypeSpec clone_it()

Attribute explicit_type

significant in case type == 0

Declaration :

- Uml : + explicit_type : string
- C++ : public: QCString explicit_type
- Java : public String explicit_type

Relation type (<unidirectional association>)

Declaration :

- Uml : + type : UmlClass
- C++ : public: UmlClass * type
- Java : public UmlClass type

All public operations : clone_it , toString